# ScheduleTogether Frontend

[![pipeline status](https://git.zyner.org/scheduletogether/frontend/badges/main/pipeline.svg)](https://git.zyner.org/scheduletogether/frontend/-/commits/main)
[![Latest Release](https://git.zyner.org/scheduletogether/frontend/-/badges/release.svg)](https://git.zyner.org/scheduletogether/frontend/-/releases)

Frontend for ScheduleTogether.

**Testing:**
`npm run dev`

In dev mode, the interface is exposed on [http://localhost:5173/](http://localhost:5173/).

Note: you need to have the [backend](https://git.zyner.org/scheduletogether/backend) running in order to properly test the frontend. Dummy backend for development might be a focus in the future.

**Building:**
`npm run build`

**Note:** The recommended way of running ScheduleTogether is with the docker-compose file found [here](https://git.zyner.org/scheduletogether/schedule-together). It includes the frontend, backend and a database. If you want to run each service separately, remember to create a .env file. Example file for Frontend can be found [here](https://git.zyner.org/scheduletogether/frontend/-/blob/main/.env.example). If you won't be running in docker, you should instead edit the [config.json](https://git.zyner.org/scheduletogether/frontend/-/blob/main/public/config.json) file.
